/* ===========================================================================
 * $RCSfile: RGgui.java,v $
 * ===========================================================================
 *
 * RetroGuard -- an obfuscation package for Java classfiles.
 *
 * Copyright (c) 1998-2005 Mark Welsh (markw@retrologic.com)
 *
 * This program is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * The author may be contacted at markw@retrologic.com 
 *
 */

import java.io.*;
import java.util.*;
import COM.rl.obf.gui.*;

/**
 * Main class for obfuscator script generating graphical user interface.
 *
 * @author      Mark Welsh
 */
public class RGgui
{
    // Constants -------------------------------------------------------------


    // Fields ----------------------------------------------------------------


    // Class Methods ---------------------------------------------------------
    /**
     * Running application with no parameters 'java RGgui' brings up the
     * graphical user interface for constructing script files interactively.
     */
    public static void main(String args[])
    {
        // Run GUI
        try
        {
            Gui.create();
        }
        catch (Exception e)
        {
            System.err.println("RGgui error: " + e.toString());
            System.exit(-1);
        }
    }
}
